import { NgbDateStruct, NgbDateParserFormatter, NgbDate } from '@ng-bootstrap/ng-bootstrap';
export declare class DateFormatterService {
    private parserFormatter;
    constructor(parserFormatter: NgbDateParserFormatter);
    ToString(date: NgbDateStruct): string;
    ToHijriDateStruct(hijriDate: string, format: string): NgbDate;
    ToGregorianDateStruct(gregorianDate: string, format: string): NgbDate;
    ToHijri(date: NgbDateStruct): NgbDateStruct;
    ToGregorian(date: NgbDateStruct): NgbDate;
    GetTodayHijri(): NgbDateStruct;
    GetTodayGregorian(): NgbDateStruct;
}
